- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CglTreeInfo Class Reference

Information about where the cut generator is invoked from. More...

`#include <CglTreeInfo.hpp>`

Inheritance diagram for CglTreeInfo:

[legend]
Collaboration diagram for CglTreeInfo:

[legend]
List of all members.

## Public Member Functions
| CglTreeInfo ()
| Default constructor.
| CglTreeInfo (const CglTreeInfo &)
| Copy constructor.
virtual CglTreeInfo * | clone () const
| Clone.
CglTreeInfo & | operator= (const CglTreeInfo &rhs)
| Assignment operator.
virtual | ~CglTreeInfo ()
| Destructor.
virtual void | fixes (int variable, int toValue, int fixedVariable, bool fixedToLower)
| Take action if cut generator can fix a variable (toValue -1 for down, +1 for up).
virtual bool | initializeFixing (const OsiSolverInterface *model)
| Initalizes fixing arrays etc - returns true if we want to save info.
## Public Attributes
int | level
| The level of the search tree node.
int | pass
| How many times the cut generator was already invoked in this search tree node.
int | formulation_rows
| The number of rows in the original formulation.
bool | inTree
| Set true if in tree (to avoid ambiguity at first branch).
OsiRowCut ** | strengthenRow
| Replacement array.
CoinThreadRandom * | randomNumberGenerator
| Optional pointer to thread specific random number generator.

## Detailed Description

Information about where the cut generator is invoked from.

Definition at line 13 of file CglTreeInfo.hpp.

## Constructor & Destructor Documentation

CglTreeInfo::CglTreeInfo | ( |  | ) |

Default constructor.

CglTreeInfo::CglTreeInfo | ( | const CglTreeInfo & |  | ) |

Copy constructor.

virtual CglTreeInfo::~CglTreeInfo | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual CglTreeInfo* CglTreeInfo::clone | ( |  | ) | const`[virtual]`

Clone.

Reimplemented in CglTreeProbingInfo.

CglTreeInfo& CglTreeInfo::operator= | ( | const CglTreeInfo & | rhs | ) |

Assignment operator.

virtual void CglTreeInfo::fixes | ( | int | variable,
|  | int | toValue,
|  | int | fixedVariable,
|  | bool | fixedToLower |
| ) |  |  | `[inline, virtual]`

Take action if cut generator can fix a variable (toValue -1 for down, +1 for up).

Reimplemented in CglTreeProbingInfo.

Definition at line 55 of file CglTreeInfo.hpp.

virtual bool CglTreeInfo::initializeFixing | ( | const OsiSolverInterface * | model | ) | `[inline, virtual]`

Initalizes fixing arrays etc - returns true if we want to save info.

Reimplemented in CglTreeProbingInfo.

Definition at line 57 of file CglTreeInfo.hpp.

## Member Data Documentation

int CglTreeInfo::level

The level of the search tree node.

Definition at line 16 of file CglTreeInfo.hpp.

int CglTreeInfo::pass

How many times the cut generator was already invoked in this search tree node.

Definition at line 19 of file CglTreeInfo.hpp.

int CglTreeInfo::formulation_rows

The number of rows in the original formulation.

Some generators may not want to consider already generated rows when generating new ones.

Definition at line 22 of file CglTreeInfo.hpp.

bool CglTreeInfo::inTree

Set true if in tree (to avoid ambiguity at first branch).

Definition at line 24 of file CglTreeInfo.hpp.

OsiRowCut** CglTreeInfo::strengthenRow

Replacement array.

Before Branch and Cut it may be beneficial to strengthen rows rather than adding cuts. If this array is not NULL then the cut generator can place a pointer to the stronger cut in this array which is number of rows in size.

A null (i.e. zero elements and free rhs) cut indicates that the row is useless and can be removed.

The calling function can then replace those rows.

Definition at line 34 of file CglTreeInfo.hpp.

CoinThreadRandom* CglTreeInfo::randomNumberGenerator

Optional pointer to thread specific random number generator.

Definition at line 36 of file CglTreeInfo.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Cgl-0.52.0/Cgl/src/CglTreeInfo.hpp